package com.tmerclub.cloud.common.order.dto;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * @author gaozijie
 * @since 2023-11-27
 */
public class AllotOrderSearchDTO {

    @Schema(description = "调拨订单id")
    private Long allotOrderId;

    @Schema(description = "状态(0:已作废, 1:待入库, 2:部分入库, 3:已完成)")
    private Integer status;

    @Hidden
    @Schema(description = "开始页")
    private Integer pageNum;

    @Hidden
    @Schema(description = "每页大小")
    private Integer pageSize;

    @Hidden
    @Schema(description = "店铺id")
    private Long shopId;

    @Hidden
    @Schema(description = "系统类型(1:商家端, 3:供应商端)")
    private Integer sysType;

    public AllotOrderSearchDTO() {
    }

    public Long getAllotOrderId() {
        return allotOrderId;
    }

    public void setAllotOrderId(Long allotOrderId) {
        this.allotOrderId = allotOrderId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    @Override
    public String toString() {
        return "AllotOrderSearchDTO{" +
                "allotOrderId=" + allotOrderId +
                ", status=" + status +
                ", pageNum=" + pageNum +
                ", pageSize=" + pageSize +
                ", shopId=" + shopId +
                ", sysType=" + sysType +
                '}';
    }
}
